<?php
/**
 * @license MIT
 *
 * Modified by RTM Business on 16-December-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */

declare(strict_types=1);

namespace RtmMailVendor\Dependencies\Doctrine\ORM\Tools\Exception;

use RtmMailVendor\Dependencies\Doctrine\ORM\Exception\ORMException;
use RtmMailVendor\Dependencies\Doctrine\ORM\Exception\SchemaToolException;

final class NotSupported extends ORMException implements SchemaToolException
{
    public static function create(): self
    {
        return new self('This behaviour is (currently) not supported by Doctrine 2');
    }
}
